Query Archived Transactions (Pageable)

Retrieve historical execution records from 7 to 90 days ago. Use this endpoint for backfilling, reconciliation, and reporting that requires data beyond the recent 7-day window.

Note

  • Deprecation notice: The tradingFee and tradingFeeCoin response fields are deprecated. Use fee / feeCoin instead. Both fields will be removed after 2026-11-15.
  • Due to time lag in data synchronization, same-day data from this endpoint may be delayed or inaccurate. Therefore, it is not recommended to use this endpoint to query same-day data. For data within 7 days, it is recommended to use Query Transactions (Pageable) , which is more accurate.

Permission

  • Applies to both primary user and trading portfolio's API Key.
  • Permission: READ.

Rate Limit

  • 20 requests per 1 seconds

Request

NameTypeMandatoryDescription
orderIdStringNOrder ID
symStringNTrading pair unique identifier ,
example BINANCE_SPOT_BTC_USDT, BINANCE_PERP_BTC_USDT
exchangeStringNExchange type(BINANCE,OKX)
businessTypeStringNBusiness type(For example SPOT)
beginStringNStart time of the query window. If not specified, the default is to query data from up to 90 days ago.
endStringNEnd time of the query window. If not specified, the current time is used.
pageStringNCurrent page
pageSizeStringNLimit(Default 1000, max 1000)

Response

FieldTypeRemark
transactionIdStringTransaction ID
portfolioIdStringPortfolio ID
orderIdStringOrder ID
clientOrderIdStringCustomer defined order ID
exchangeTypeStringExchangeType(BINANCE、OKX)
businessTypeStringBusinessType
symStringTrading pair unique identifier
sideStringSide
quantityStringFilled quantity
priceStringFilled price
tradingFeeStringTrading fee charged for this execution. Deprecated — use fee instead. Will be removed after 2026-11-15.
tradingFeeCoinStringCurrency in which the trading fee is charged (e.g. USDT, BTC). Deprecated — use feeCoin instead. Will be removed after 2026-11-15.
feeStringTrading fee charged for this execution.
feeCoinStringCurrency in which the trading fee is charged (e.g. USDT, BTC).
rebateStringCumulative maker rebate received. 0 for taker orders. For OKX spot: BUY orders return quote currency, SELL orders return base currency. For Binance spot: returns quote currency. For perpetuals: returns USDT.
rebateCoinStringCurrency of the rebate. Empty string if no rebate was received.
execTypeString"MAKER" or "TAKER"
rpnlStringRealized PNL
clientOrderIdStringClient-defined order ID passed when placing the order (used for idempotency and client-side tracking).
algoOrderIdStringID of the parent algo order if this execution was generated by an algorithmic strategy; 0 or empty if not applicable.
createAtStringTransactions create time
tradeSourceStringTrade source identifier. Empty string when not applicable.
Query Params
string

Order ID

string

Trading pair unique identifier , example BINANCE_SPOT_BTC_USDT, BINANCE_PERP_BTC_USDT

string

Exchange type

string

Business type

string

Query begin time

string

Query end Time

string
Defaults to 1

Current Page

string
Defaults to 1000

Page size(Default 1000, max 1000)

Response

Language
LoadingLoading…
Response
Choose an example:
application/json